# Basic config common to all functional tests
# Can be easily overridden in each test config
parameters:
    locale: en
    database_path: '%kernel.root_dir%/../../build/test.db'

framework:
    secret:          secret
    default_locale:  '%locale%'
    test:            ~
    session:
        storage_id: session.storage.mock_file

doctrine:
    dbal:
        driver: pdo_sqlite
        path:   '%database_path%'
    orm:
        auto_generate_proxy_classes: true
        auto_mapping: true
        mappings:
            UnitTestEntities:
                mapping: true
                type: annotation
                dir: '%kernel.root_dir%/../AppTestBundle/Entity/'
                alias: 'Entity'
                prefix: 'AppTestBundle\Entity'
                is_bundle: false

umanit_translation:
    locales: [en, fr, ja]
    disabled_firewalls: [admin]
    default_locale:  '%locale%'